<?php

namespace Drupal\paragraphs_blokkli;

/**
 * Interface for paragraph_mutation plugins.
 */
interface ParagraphMutationInterface {

  /**
   * Returns the translated plugin label.
   *
   * @return string
   *   The translated title.
   */
  public function label();

  /**
   * Returns the UUID of the affected paragraph.
   *
   * @return string|null
   *   The UUID of the affected paragraph.
   */
  public function getAffectedParagraphUuid(): string|null;

  /**
   * Execute the mutation.
   *
   * @param \Drupal\paragraphs_blokkli\ParagraphMutationContextInterface $context
   *   The mutation context.
   */
  public function executeMutation(ParagraphMutationContextInterface $context);

}
